Name: opencc
Version: 0.4.3
Release: %mkrel 2
Summary: Simplified-Traditional Chinese Conversion
License: ASL 2.0
Group: System/Internationalization
URL: http://code.google.com/p/opencc
Source0: http://opencc.googlecode.com/files/%{name}-%{version}.tar.gz
Patch1: opencc-0.3.0-static-lib.patch
BuildRequires: cmake

%description
OpenCC is an opensource project for conversion between Traditional Chinese and
Simplified Chinese, which supports phrase-level conversion and regional idioms
among Mainland China, Taiwan and Hong kong.


%define libname %mklibname opencc 1
%package -n %libname
Summary: Runtime library for OpenCC
Group: System/Libraries
Requires: %name = %version-%release

%description -n %libname
Runtime Libraries for OpenCC.

%define develname %mklibname -d %{name}
%package -n %develname
Summary: Development tools for OpenCC
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}opensc-devel

%description -n %develname
Development tools for OpenCC.

%prep
%setup -q
%patch1 -p0

%build
%cmake
%make

%install
%makeinstall_std -C build

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%{_bindir}/*
%{_datadir}/opencc
%{_datadir}/man/man1/*

%files -n %{libname}
%{_libdir}/lib*.so.1*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4.3-2.mga4
+ Revision: 523631
- Mageia 4 Mass Rebuild

* Thu May 23 2013 fwang <fwang> 0.4.3-1.mga4
+ Revision: 425474
- new version 0.4.3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-3.mga3
+ Revision: 361913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 tv <tv> 0.3.0-2.mga3
+ Revision: 306376
- better group & description

* Mon Jan 02 2012 fwang <fwang> 0.3.0-1.mga2
+ Revision: 189598
- new version 0.3.0

* Thu Mar 24 2011 boklm <boklm> 0.2.0-2.mga1
+ Revision: 76197
- rebuild for bug #497

* Sat Mar 12 2011 fwang <fwang> 0.2.0-1.mga1
+ Revision: 68615
- buildroot not required
- imported package opencc


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 633990
- new version 0.2.0

* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 0.1.2-2mdv2011.0
+ Revision: 583522
- osbsoletes old package

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2011.0
+ Revision: 582329
- update to new version 0.1.2

* Sat Aug 14 2010 Funda Wang <fwang@mandriva.org> 0.1.1-2mdv2011.0
+ Revision: 569521
- opensc is another package
- new version 0.1.1
- wrong devel name provided

* Sat Aug 14 2010 Funda Wang <fwang@mandriva.org> 0.1.0-5mdv2011.0
+ Revision: 569515
- rebuild

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.1.0-4mdv2011.0
+ Revision: 564187
- rebuild
- rebuild
- requires main package for data files
- import opencc


